package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.entry.BpmOAEntryCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAEntryDO;

import javax.validation.Valid;
import java.util.List;

public interface BpmOAEntryService {

    /**
     * 创建入职申请
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createEntry(@Valid BpmOAEntryCreateReqVO createReqVO);

    /**
     * 更新入职申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateEntryResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得入职申请
     *
     * @param id 编号
     * @return 入职申请信息
     */
    BpmOAEntryDO getEntry(Long id);

    /**
     * 获得指定入职申请
     * @param openId openId
     * @return 入职申请信息
     */
    List<BpmOAEntryDO> getEntryByOpenId(String openId);
}
